//  $1_ammo_clip
//  $2_ammo_ammo

//  $3_weapon_name
//  $4_weapon

//  $5_animation_frame

//  $6_weapon_damage

ACTOR $4_m4a1 : Weapon
{
  Weapon.SelectionOrder 1900
  Weapon.AmmoUse1 1
  Weapon.AmmoGive1 0
  Weapon.AmmoType1 "$1_m4a1_clip"
  Weapon.AmmoUse2 1
  Weapon.AmmoGive2 0
  Weapon.AmmoType2 "Cell_Z"
  Obituary "%o m4a1 %k"
  +WEAPON.WIMPY_WEAPON
  Inventory.Pickupmessage "Got m4a1"
  Tag "M4A1 ANTI-TERRORIST ASSAULT RIFLE"
  Weapon.BobStyle Smooth
  Weapon.BobSpeed 2.9
  Weapon.BobRangeX 0.2
  Weapon.BobRangeY 0.1
  Weapon.UpSound "weapon/draw"
  +AMMO_OPTIONAL
  States
  {
  Ready:
    M4A1 A 0
    Goto SelectAnim
  Ready2:
	TNT1 A 0 A_GiveInventory ("Boot_Limit",25)
    M4A1 A 0
    Goto IdleAnim
  Deselect:
  TNT1 A 0
    Goto DeSelectAnim
  Deselect2:
    M4A1 AAAAAAAAAAAAAAAAAAAAAAAA 0 A_Lower
    Loop
  Select:
    M4A1 AAAAAAAAAAAAAAAAAAAAAAAA 0 A_Raise
    Loop
  Fire:
    M4A1 A 0 A_JumpIfInventory ("$1_m4a1_clip",1,"FireWeap")
  Goto Reload
  FireWeap:
    M4A1 A 0 A_FireBullets (2,3,1,12)
	Goto FireAnim
  Spawn:
    PIST A -1
    Stop
  Reload:
  TNT1 A 0
    M4A1 A 0 A_JumpIfInventory ("$1_m4a1_clip",35,"Ready2")
	Goto Reload2
  Reload2:
  M4A1 A 0 A_JumpIfInventory ("Cell_Z",1,"StartReloadAnim")
  Goto Ready2
  ReloadSystem:
  M4A1 A 0 A_JumpIfInventory ("Cell_Z",1,"ReloadSystem4")
  Goto ReloadAnim
  ReloadSystem4:
  M4A1 A 0 A_JumpIfInventory ("$1_m4a1_clip",35,"ReloadAnim")
  ReloadSystem2:
  TNT1 A 0 A_TakeInventory ("Cell_Z",1)
  TNT1 A 0 A_GiveInventory ("$1_m4a1_clip",1)
  Goto InsertReloadAnim




	DeSelectAnim:
	M4A1 A 0
	M4A1 OPQR 1
	Goto Deselect2
	SelectAnim:
	M4A1 A 0
	M4A1 RQPO 1 A_WeaponReady (WRF_NOFIRE|WRF_NOSECONDARY)
	Goto Ready2
	
	IdleAnim:
	M4A1 A 1 A_WeaponReady (WRF_ALLOWRELOAD|WRF_ALLOWZOOM)
	Goto Ready2
	FireAnim:
	M4A1 B 2 A_PlaySound("weapon/M4A1")
	M4A1 C 1
	Goto Ready2
	
	StartReloadAnim:
	M4A1 DEFGH 2
	M4A1 A 0 A_PlaySound ("weapon/m4a1/reload1",CHAN_6)
	Goto ReloadSystem
	InsertReloadAnim:
	TNT1 A 0
	Goto ReloadSystem
	ReloadAnim:
	M4A1 IJKLMN 2
	M4A1 A 0 A_PlaySound ("weapon/M4A1/reload2",CHAN_6)
	Goto Ready2
	
	Zoom:
	BOOT A 0 A_JumpIfInventory ("Boot_Limit",1000,"BootZ")
	Goto Ready2
	BootZ:
	BOOT A 0 A_TakeInventory ("Boot_Limit",1000)
	BOOT BC 2
	BOOT D 1 A_Recoil (-5)
	BOOT D 2 A_CustomPunch (9,0,0,"BootPuff")
	BOOT EFG 2
	Goto Ready
	
  }
}

ACTOR $1_m4a1_clip : Ammo
{
Inventory.Amount 1
Inventory.MaxAmount 35
}


